package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import javax.validation.constraints.Pattern;
import java.util.Objects;

/**
 * ModifyCallBlockingProfileEntity
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class ModifyCallBlockingProfileEntity   {
  @JsonProperty("profileName")
  private String profileName;

  @JsonProperty("incomingCallsBlockingEnable")
  private Boolean incomingCallsBlockingEnable;

  @JsonProperty("incomingCallsBlocking")
  private IncomingCallsBlockingVo incomingCallsBlocking;

  @JsonProperty("outgoingCallsBlockingEnable")
  private Boolean outgoingCallsBlockingEnable;

  @JsonProperty("outgoingCallsBlocking")
  private OutgoingCallsBlockingVo outgoingCallsBlocking;

  public ModifyCallBlockingProfileEntity profileName(String profileName) {
    this.profileName = profileName;
    return this;
  }

  /**
   * Call blocking profile name
   * @return profileName
  */
  @ApiModelProperty(value = "Call blocking profile name")

@Pattern(regexp="^[^ ]$|^[^ ].{0,62}[^ ]$") 
  public String getProfileName() {
    return profileName;
  }

  public void setProfileName(String profileName) {
    this.profileName = profileName;
  }

  public ModifyCallBlockingProfileEntity incomingCallsBlockingEnable(Boolean incomingCallsBlockingEnable) {
    this.incomingCallsBlockingEnable = incomingCallsBlockingEnable;
    return this;
  }

  /**
   * Enable incoming calls blocking or not. The default value is false.
   * @return incomingCallsBlockingEnable
  */
  @ApiModelProperty(value = "Enable incoming calls blocking or not. The default value is false.")


  public Boolean getIncomingCallsBlockingEnable() {
    return incomingCallsBlockingEnable;
  }

  public void setIncomingCallsBlockingEnable(Boolean incomingCallsBlockingEnable) {
    this.incomingCallsBlockingEnable = incomingCallsBlockingEnable;
  }

  public ModifyCallBlockingProfileEntity incomingCallsBlocking(IncomingCallsBlockingVo incomingCallsBlocking) {
    this.incomingCallsBlocking = incomingCallsBlocking;
    return this;
  }

  /**
   * Get incomingCallsBlocking
   * @return incomingCallsBlocking
  */
  @ApiModelProperty(value = "")

  @Valid

  public IncomingCallsBlockingVo getIncomingCallsBlocking() {
    return incomingCallsBlocking;
  }

  public void setIncomingCallsBlocking(IncomingCallsBlockingVo incomingCallsBlocking) {
    this.incomingCallsBlocking = incomingCallsBlocking;
  }

  public ModifyCallBlockingProfileEntity outgoingCallsBlockingEnable(Boolean outgoingCallsBlockingEnable) {
    this.outgoingCallsBlockingEnable = outgoingCallsBlockingEnable;
    return this;
  }

  /**
   * Enable outgoing calls blocking or not. The default value is false.
   * @return outgoingCallsBlockingEnable
  */
  @ApiModelProperty(value = "Enable outgoing calls blocking or not. The default value is false.")


  public Boolean getOutgoingCallsBlockingEnable() {
    return outgoingCallsBlockingEnable;
  }

  public void setOutgoingCallsBlockingEnable(Boolean outgoingCallsBlockingEnable) {
    this.outgoingCallsBlockingEnable = outgoingCallsBlockingEnable;
  }

  public ModifyCallBlockingProfileEntity outgoingCallsBlocking(OutgoingCallsBlockingVo outgoingCallsBlocking) {
    this.outgoingCallsBlocking = outgoingCallsBlocking;
    return this;
  }

  /**
   * Get outgoingCallsBlocking
   * @return outgoingCallsBlocking
  */
  @ApiModelProperty(value = "")

  @Valid

  public OutgoingCallsBlockingVo getOutgoingCallsBlocking() {
    return outgoingCallsBlocking;
  }

  public void setOutgoingCallsBlocking(OutgoingCallsBlockingVo outgoingCallsBlocking) {
    this.outgoingCallsBlocking = outgoingCallsBlocking;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    ModifyCallBlockingProfileEntity modifyCallBlockingProfileEntity = (ModifyCallBlockingProfileEntity) o;
    return Objects.equals(this.profileName, modifyCallBlockingProfileEntity.profileName) &&
        Objects.equals(this.incomingCallsBlockingEnable, modifyCallBlockingProfileEntity.incomingCallsBlockingEnable) &&
        Objects.equals(this.incomingCallsBlocking, modifyCallBlockingProfileEntity.incomingCallsBlocking) &&
        Objects.equals(this.outgoingCallsBlockingEnable, modifyCallBlockingProfileEntity.outgoingCallsBlockingEnable) &&
        Objects.equals(this.outgoingCallsBlocking, modifyCallBlockingProfileEntity.outgoingCallsBlocking);
  }

  @Override
  public int hashCode() {
    return Objects.hash(profileName, incomingCallsBlockingEnable, incomingCallsBlocking, outgoingCallsBlockingEnable, outgoingCallsBlocking);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class ModifyCallBlockingProfileEntity {\n");
    
    sb.append("    profileName: ").append(toIndentedString(profileName)).append("\n");
    sb.append("    incomingCallsBlockingEnable: ").append(toIndentedString(incomingCallsBlockingEnable)).append("\n");
    sb.append("    incomingCallsBlocking: ").append(toIndentedString(incomingCallsBlocking)).append("\n");
    sb.append("    outgoingCallsBlockingEnable: ").append(toIndentedString(outgoingCallsBlockingEnable)).append("\n");
    sb.append("    outgoingCallsBlocking: ").append(toIndentedString(outgoingCallsBlocking)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

